﻿namespace ProjectTrolleybus.Entities;
/// <summary>
/// Класс-Сущность "Троллейбус"
/// </summary>
public class EntityTrolleybus : EntityTrolleyB
{
    /// <summary>
    /// Дополнительный цвет
    /// </summary>
    public Color AdditionalColor { get; private set; }

    /// <summary>
    /// Признак (опция) наличия отсека под батареи
    /// </summary>
    public bool BatteryCompartment { get; private set; }

    /// <summary>
    /// Признак (опция) наличия "Рогов" для подключения проводов
    /// </summary>
    public bool Horns { get; private set; }

    /// <summary>
    /// 
    /// </summary>
    /// <param name="speed"></param>
    /// <param name="weight"></param>
    /// <param name="bodyColor"></param>
    /// <param name="additionalColor"></param>
    /// <param name="batteryCompartment"></param>
    /// <param name="horns"></param>
    public EntityTrolleybus(int speed, double weight, Color bodyColor, Color additionalColor, bool batteryCompartment, bool horns) : base(speed, weight, bodyColor)
    {
        AdditionalColor = additionalColor;
        BatteryCompartment = batteryCompartment;
        Horns = horns;
    }
}
